import request from '@/utils/request'

// 查询工会成员列表
export function listUnionUser(query) {
  return request({
    url: '/cai/unionUser/list',
    method: 'get',
    params: query
  })
}

// 查询工会成员详细
export function getUnionUser(id) {
  return request({
    url: '/cai/unionUser/' + id,
    method: 'get'
  })
}

// 新增工会成员
export function addUnionUser(data) {
  return request({
    url: '/cai/unionUser',
    method: 'post',
    data: data
  })
}

// 修改工会成员
export function updateUnionUser(data) {
  return request({
    url: '/cai/unionUser',
    method: 'put',
    data: data
  })
}

// 删除工会成员
export function delUnionUser(id) {
  return request({
    url: '/cai/unionUser/' + id,
    method: 'delete'
  })
}
